Subject: bug#37541: 27.0.50; messages left over in nnimap-inbox after splitting

From: Amin Bandali <[email-masked]>
Date: Sat, 28 Sep 2019 14:28:19 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> Amin Bandali <[email-masked]> writes:
>
>> I’ve noticed in the last day or two that nnimap splitting doesn’t seem
>> to be fully applied immediately anymore: upon launching Gnus, a copy of
>> each nnimap split message (mail) remains in my nnimap-inbox (though it
>> appears to be copied to the split destination just fine) until i visit
>> the nnimap-inbox folder manually, and then they’ll disappear.
>
> Can you set nnimap-record-commands and then look in the "*imap log*"
> buffer after doing a split?  That should tell us what commands nnimap
> issued.
>
> It should look something like:
>
> 18:49:16 [quimby.gnus.org] 1000 SELECT "INBOX"
> 18:49:16 [quimby.gnus.org] 1001 UID FETCH 1:* FLAGS
> 18:49:16 [quimby.gnus.org] 1002 UID FETCH 2066471 (UID BODY.PEEK[HEADER])
> 18:49:16 [quimby.gnus.org] 1003 UID COPY 2066471 "shopping"
> 18:49:16 [quimby.gnus.org] 1004 UID STORE 2066471 +FLAGS.SILENT (\Deleted)
> 18:49:16 [quimby.gnus.org] 1005 UID EXPUNGE 2066471
> 18:49:16 [quimby.gnus.org] 1006 UID STORE  +FLAGS.SILENT (\Deleted)
> 18:49:16 [quimby.gnus.org] 1007 UID EXPUNGE 
>
> Hm!  I just noticed that next-to-last line -- that doesn't look right...

Thanks.  A quick look at *imap log*, it seems that EXPUNGE isn’t called
unless I open my nnimap-inbox manually.  I’ll send you logs off-list.
This is the new behaviour, I havne’t yet tried with older Emacs though.